function  pridat_caru( varargin )
%funkce pro postupne vykresleni car jak je subjekt kreslil

Hrana=5;
global Data poz count_car img Y2
if count_car<length(poz)
X = Data(1).x;


Y = Y2;
cas = Data(1).t;
poz=sort(poz);
cla
imshow(img)
Casove_rozestupy = [0 diff(Data(1).t)' / 1000];
plot(X(1:poz(count_car)),Y(1:poz(count_car)),'.')
hold on
 set(gca,'YTick',[],'XTick',[],'Xlim', [0 1024],'Ylim', [0 720])
for i=poz(count_car):(poz(count_car+1)-1)
    plot(X(i),Y(i),'.')    
    pause(Casove_rozestupy(i+1)) 
end
count_car=count_car+1;
for j=1:count_car
        patch([(X(poz(j)) - Hrana) (X(poz(j)) + Hrana) (X(poz(j)) + Hrana) (X(poz(j)) - Hrana)], [(Y(poz(j)) - Hrana) (Y(poz(j)) - Hrana) (Y(poz(j)) + Hrana) (Y(poz(j)) + Hrana)],[1 0 0])
        hold on
        patch([(X(poz(j)) - Hrana) (X(poz(j)) + Hrana) (X(poz(j)) + Hrana) (X(poz(j)) - Hrana)], [(Y(poz(j)) - Hrana) (Y(poz(j)) - Hrana) (Y(poz(j)) + Hrana) (Y(poz(j)) + Hrana)],[1 0 0])
end
if(poz(count_car)+1==poz(count_car+1))
    count_car=count_car+1;
end
end
end